Grasshopper

algorithmic modeling for Rhino

Hi,

I have a polysurface created and it is composed of lost of triangulated surfaces. I'm trying to look for the MergeAllFaces options inside rhinoscript.

Does anyone have any ideas?

Thanks,

M

Views: 700

Reply to This

Replies to This Discussion

Hi Miguel, I don't know how can you do it in rhinoscript but there are two methods in rhinoCommon that are probably do what you need:

Rhino.Geometry.Brep.MergeBreps

Rhino.Geometry.Brep.MergeCoplanarFaces

 

How do we use the "Rhino.Geometry.Brep.MergeCoplanarFaces"?

I have tried to use "coercebrep" to get the geometry from id's , but then how do I associate the geometry back to the object id?

Hi Ejnar, see the attached. You can just pass your Brep directly as a Brep (right-click input parameter -> Type hint -> Brep). This allows you to call the method directly without having to deal with GUIDs, casting etc. 

Attachments:

RSS

Translate

Search Grasshopper

Photos

  • Add Photos
  • View All

© 2016   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service